# Webdeveloper Links & Tips
## HTML
### HTML lernen
* [selfhtml](https://wiki.selfhtml.org/wiki/HTML)
* [Einführung in HTML - MDN web docs](https://developer.mozilla.org/de/docs/Web/HTML)
* [w3schools HTML5 Tutorial](https://www.w3schools.com/html/)
* [HTML Forms](https://wiki.selfhtml.org/wiki/HTML/Formulare)
* [Kurs im Selbststudium](https://open.hpi.de/courses/webtech2017)

### Editoren
* [Sublime Text](https://www.sublimetext.com/)
* [Visual Studio Code](https://code.visualstudio.com/ )
* [Atom editor](https://atom.io/ )
* [Brackets](http://brackets.io/)
* [lighttable](lighttable)

### Online Tools / Plugins
* [HTML Validator](https://validator.w3.org/ )
* [HTML nu Validator](https://html5.validator.nu/)
* [HTML Extension Chromium](https://chrome.google.com/webstore/search/html?hl=de&_category=extensions)
* [HTML Extension Mozilla](https://addons.mozilla.org/de/firefox/search/?q=html&type=extension)
* [Can I use](https://www.caniuse.com/)
* [codepen](https://codepen.io/)
* [jsfiddle](https://jsfiddle.net/)
* [Google Search Console](https://search.google.com/search-console)
* [Cross Browser testing](https://www.browserling.com/)
* [Browser Test](https://html5test.com/)

### Interne Links
* [Semantische Tags](html/semantik.html)
* [Seitenstruktur](html/struktur.html)
* [Kopfbereich](html/header.html)
* [Formulare](html/formular.html)
* [Navigation](html/navigation.html)

## CSS
### CSS Lernen
* [CSS-Grundlagen](https://developer.mozilla.org/de/docs/Learn/Getting_started_with_the_web/CSS_basics)
* [CSS lernen W3C](https://www.w3.org/Style/CSS/learning.de.html)
* [CSS Tutorial](https://www.w3schools.com/css/)
* [Selfhtml CSS](https://wiki.selfhtml.org/wiki/CSS/Tutorials)
* [CSS Übersicht](https://t3n.de/magazin/flexibler-als-gedacht-was-du-mit-248427/)
* [Leitfaden Animationen](https://www.webdesign-journal.de/css3-animationen-leitfaden/)
* [Animate Keyframes.app](https://keyframes.app/animate)

### CSS (minimal) Frameworks
* [Milligram](https://milligram.io/)
* [minicss](https://minicss.org/)
* [Pure.css](https://purecss.io/)
* [TentCSS](https://css.sitetent.com/)
* [Skeleton](http://getskeleton.com/)
* [A Modern CSS Reset](https://hankchizljaw.com/wrote/a-modern-css-reset/) (Nur Reset-Funktion)

### CSS Inhalte positionieren
* [CSS float – Positionieren und Umfließen](https://www.mediaevent.de/css/position-float.html)
* [CSS position](https://www.mediaevent.de/css/position.html)
* [Flexbox](https://blog.kulturbanause.de/2013/07/einfuhrung-in-das-flexbox-modell-von-css/)
* [Grid Guide](https://css-tricks.com/snippets/css/complete-guide-grid/)
* [Learn Grid](https://learncssgrid.com/)

### Responsive Design
* [Irrwege im Webdesign](https://wiki.selfhtml.org/wiki/HTML/Tutorials/responsive_Webdesign/Layoutkonzepte#Die_Irrwege)
* [Die Basics](https://t3n.de/news/basics-responsive-webdesign-9-578560/)
* [Adaptive Responsive Liquide](http://blog.kulturbanause.de/2012/11/adaptive-website-vs-responsive-website/)

### Interne Links
* [float](html/float.html)
* [position](html/position.html)
* [flexbox](html/flex.html)
* [grid](html/grid.html)

## JavaScript

### JavaScript lernen
* [JavaScript für absolute Beginner](https://opentechschool.github.io/js-beginners-1/index_de.html)
* [The Modern JavaScript Tutorial](https://javascript.info/)
* [JavaScript Tutorial](https://www.w3schools.com/js/)

### JavaScript Frameworks & Libraries

* [jQuery](https://jquery.com/)
* [React](https://reactjs.org/)
* [Angular](https://angularjs.org/)
* [Vue.js](https://vuejs.org/)
* [Vanilla.js](http://vanilla-js.com/)

### Interne Links
* [Pure JavaScript](html/vanilla.html)
* [jQuery](html/jquery.html)
